Subject: bug#33304: closed (Re: [bug#33304] [PATCH] services: elogind: Fix spelling errors of left value fields in elogind config file.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 08 Nov 2018 09:19:03 +0000

Your bug report

#33304: [PATCH] services: elogind: Fix spelling errors of left value fields in elogind config file.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33304: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33304
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#33304] [PATCH] services: elogind: Fix spelling errors of left value fields in elogind config file.
From: [email-masked] (Ludovic Courtès)
To: Stefan Stefanović <[email-masked]>
Cc: [email-masked]
Date: Thu, 08 Nov 2018 10:18:23 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Stefan,

Stefan Stefanović <[email-masked]> skribis:

> This patch fixes some spelling errors in logind,conf elogind config file.

Woow, good catch!  Terrible…

> I am working on updating elogind.
> I need the latest version in order to package some applications.
>
> The newest version of from master with some additional patches is OK,
> I am currently testing it on my system.

Nice.

> My plan is to wait for those necessary patches to land in elogind upstream,
> probably for the v240 release. If anyone is interested in my
> elogind package definition, that uses new meson build system,
> and the patches that are necessary please let me know.
> I will send them to guix-patches mailing list with the [WIP] tag.

Do you know the ETA for v240?

> From 2b3bf63c83cc47448a178aff80c01444fe198abd Mon Sep 17 00:00:00 2001
> From: =?UTF-8?q?Stefan=20Stefanovi=C4=87?= <[email-masked]>
> Date: Wed, 7 Nov 2018 16:37:34 +0100
> Subject: [PATCH] services: elogind: Fix spelling errors of left value fields
>  in elogind config file.
>
> * gnu/services/desktop.scm (elogind-configuration-file)[ini-file]:
>     Fix spelling of left value fields:
>     InhibitDelayMaxSecs, HoldoffTimeoutSecs, IdleActionSeconds, RemoveIpc.

Applied, thanks!

Ludo’.

Subject: [PATCH] services: elogind: Fix spelling errors of left value fields in elogind config file.
From: Stefan Stefanović <[email-masked]>
To: guix-patches <[email-masked]>
Date: Wed, 7 Nov 2018 17:10:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.
This patch fixes some spelling errors in logind,conf elogind config file.

I am working on updating elogind.
I need the latest version in order to package some applications.

The newest version of from master with some additional patches is OK,
I am currently testing it on my system.

My plan is to wait for those necessary patches to land in elogind upstream,
probably for the v240 release. If anyone is interested in my
elogind package definition, that uses new meson build system,
and the patches that are necessary please let me know.
I will send them to guix-patches mailing list with the [WIP] tag.

Stefan.
From 2b3bf63c83cc47448a178aff80c01444fe198abd Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Stefan=20Stefanovi=C4=87?= <[email-masked]>
Date: Wed, 7 Nov 2018 16:37:34 +0100
Subject: [PATCH] services: elogind: Fix spelling errors of left value fields
 in elogind config file.

* gnu/services/desktop.scm (elogind-configuration-file)[ini-file]:
    Fix spelling of left value fields:
    InhibitDelayMaxSecs, HoldoffTimeoutSecs, IdleActionSeconds, RemoveIpc.
---
 gnu/services/desktop.scm | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/gnu/services/desktop.scm b/gnu/services/desktop.scm
index e038f9768..47d1096c6 100644
--- a/gnu/services/desktop.scm
+++ b/gnu/services/desktop.scm
@@ -672,7 +672,7 @@ include the @command{udisksctl} command, part of UDisks, and GNOME Disks."
    ("KillUserProcesses" (yesno elogind-kill-user-processes?))
    ("KillOnlyUsers" (user-name-list elogind-kill-only-users))
    ("KillExcludeUsers" (user-name-list elogind-kill-exclude-users))
-   ("InhibitDelayMaxSecs" (non-negative-integer elogind-inhibit-delay-max-seconds))
+   ("InhibitDelayMaxSec" (non-negative-integer elogind-inhibit-delay-max-seconds))
    ("HandlePowerKey" (handle-action elogind-handle-power-key))
    ("HandleSuspendKey" (handle-action elogind-handle-suspend-key))
    ("HandleHibernateKey" (handle-action elogind-handle-hibernate-key))
@@ -682,16 +682,16 @@ include the @command{udisksctl} command, part of UDisks, and GNOME Disks."
    ("SuspendKeyIgnoreInhibited" (yesno elogind-suspend-key-ignore-inhibited?))
    ("HibernateKeyIgnoreInhibited" (yesno elogind-hibernate-key-ignore-inhibited?))
    ("LidSwitchIgnoreInhibited" (yesno elogind-lid-switch-ignore-inhibited?))
-   ("HoldoffTimeoutSecs" (non-negative-integer elogind-holdoff-timeout-seconds))
+   ("HoldoffTimeoutSec" (non-negative-integer elogind-holdoff-timeout-seconds))
    ("IdleAction" (handle-action elogind-idle-action))
-   ("IdleActionSeconds" (non-negative-integer elogind-idle-action-seconds))
+   ("IdleActionSec" (non-negative-integer elogind-idle-action-seconds))
    ("RuntimeDirectorySize"
     (identity
      (lambda (config)
        (match (elogind-runtime-directory-size-percent config)
          (#f (non-negative-integer (elogind-runtime-directory-size config)))
          (percent (string-append (non-negative-integer percent) "%"))))))
-   ("RemoveIpc" (yesno elogind-remove-ipc?))
+   ("RemoveIPC" (yesno elogind-remove-ipc?))
    "[Sleep]"
    ("SuspendState" (sleep-list elogind-suspend-state))
    ("SuspendMode" (sleep-list elogind-suspend-mode))
-- 
2.19.1